## crunchyfrog 0.4.1

=== docs/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

gcwiki:
	mkdir -p build/gcwiki build/doctrees
	$(SPHINXBUILD) -b gcwiki $(ALLSPHINXOPTS) build/gcwiki
	@echo
	@echo "Build finished. The Wiki pages are in build/gcwiki."

docbook:
	mkdir -p build/docbook build/doctrees
	$(SPHINXBUILD) -b docbook $(ALLSPHINXOPTS) build/docbook
	@echo
	@echo "Build finished. The Wiki pages are in build/docbook."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
crunchyfrog (0.4.1-1) experimental; urgency=low

  * Initial release (Closes: #537381)

 -- Williams Orellana <worellana@williamsorellana.org>  Fri, 03 Sep 2010 16:41:17 -0600

=== debian/control ===
Source: crunchyfrog
Section: gnome
Priority: extra
Maintainer: Williams Orellana <worellana@williamsorellana.org>
Build-Depends: python (>= 2.5), debhelper (>= 7.0.50~), python-central,
 python-sphinx (>= 0.5.0), intltool, gettext, python-xdg, python-support,
 python-gobject (>= 2.14), python-gtk2 (>= 2.12), python-configobj (>= 4.4.0)
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/crunchyfrog/
Vcs-Git: git://git.debian.org/git/collab-maint/crunchyfrog.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/crunchyfrog.git

Package: crunchyfrog
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-gnome2, python-gnome2-extras, gnome-icon-theme, ipython, 
 python-vte, python-psycopg2, python-mysqldb, python-pymssql
Description: SQL client for the Gnome desktop
 CrunchyFrog is a cross-plattform database client. It provides a SQL editor
 and schema browser and connectors to various database servers (PostreSQL, 
 MySQL, SQLite, Oracle, SQLServer, Firebird, Informix, MaxDB)

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot

	rm -rf build
	dh_clean install-stamp po/crunchyfrog.pot

install: install-stamp

install-stamp:
	dh_testdir
	dh_testroot
	dh_prep

	python setup.py install --install-layout=deb --root=$(CURDIR)/debian/crunchyfrog
	find $(CURDIR)/debian/crunchyfrog/usr/share/doc/crunchyfrog/manual -type d -empty -delete
	find $(CURDIR)/debian/crunchyfrog/usr/share/crunchyfrog/plugins -type d -empty -delete

	install -D -m 0644 debian/crunchyfrog.xpm \
	                   debian/crunchyfrog/usr/share/pixmaps/crunchyfrog.xpm

	touch $@

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs AUTHORS
	dh_installmenu
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://crunchyfrog.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/crunchyfrog/downloads/detail[?]name=crunchyfrog-([0-9.]+).tar.gz&.*
